質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.50%

  • Ruby

    9446questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Ruby on Rails 5

    3194questions

  • Heroku

    1206questions

    HerokuはHeroku社が開発と運営を行っているPaaSの名称です。RubyやNode.js、Python、そしてJVMベース(Java、Scala、Clojureなど)の複数のプログラミング言語をサポートしている。

error: failed to push some refs to について

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 57

nonress

score 4

git push heroku masterとすると下記のように表示されます。

ec2-user:~/environment/sample_app (master) $ git push heroku master
Counting objects: 16919, done.
Compressing objects: 100% (8254/8254), done.
Writing objects: 100% (16919/16919), 24.30 MiB | 16.04 MiB/s, done.
Total 16919 (delta 7444), reused 16840 (delta 7395)
remote: Compressing source files... done.
remote: Building source:
remote: 
remote: -----> Ruby app detected
remote: -----> Compiling Ruby/Rails
remote: -----> Using Ruby version: ruby-2.5.3
remote: -----> Installing dependencies using bundler 1.15.2
remote:        Running: bundle install --without development:test --path vendor/bundle --binstubs vendor/bundle/bin -j4 --deployment
remote:        Warning: the running version of Bundler (1.15.2) is older than the version that created the lockfile (1.17.2). We suggest you upgrade to the latest version of Bundler by running gem install bundler.
remote:        Fetching gem metadata from https://rubygems.org/............
remote:        Fetching version metadata from https://rubygems.org/..
remote:        Fetching dependency metadata from https://rubygems.org/.
remote:        Using rake 12.3.2
remote:        Using concurrent-ruby 1.1.5
remote:        Using minitest 5.10.3
remote:        Using thread_safe 0.3.6
remote:        Using builder 3.2.3
remote:        Using erubi 1.8.0
remote:        Using mini_portile2 2.4.0
remote:        Using crass 1.0.4
remote:        Using rack 2.0.7
remote:        Using nio4r 2.3.1
remote:        Using websocket-extensions 0.1.3
remote:        Using mini_mime 1.0.1
remote:        Using arel 8.0.0
remote:        Using execjs 2.7.0
remote:        Using bcrypt 3.1.11
remote:        Using rb-fsevent 0.10.3
remote:        Using ffi 1.10.0
remote:        Using will_paginate 3.1.6
remote:        Using bundler 1.15.2
remote:        Using coffee-script-source 1.12.2
remote:        Using method_source 0.9.2
remote:        Using thor 0.20.3
remote:        Using multi_json 1.13.1
remote:        Using pg 0.20.0
remote:        Using puma 3.9.1
remote:        Fetching rails_serve_static_assets 0.0.5
remote:        Fetching rails_stdout_logging 0.0.5
remote:        Using tilt 2.0.9
remote:        Using turbolinks-source 5.2.0
remote:        Using i18n 0.9.5
remote:        Using tzinfo 1.2.5
remote:        Using nokogiri 1.10.3
remote:        Using rack-test 1.1.0
remote:        Using sprockets 3.7.2
remote:        Using websocket-driver 0.6.5
remote:        Using autoprefixer-rails 9.5.1.1
remote:        Using uglifier 3.2.0
remote:        Using mail 2.7.1
remote:        Using bootstrap-will_paginate 1.0.0
remote:        Using rb-inotify 0.10.0
remote:        Using coffee-script 2.4.1
remote:        Using turbolinks 5.0.1
remote:        Using faker 1.7.3
remote:        Using activesupport 5.1.6
remote:        Using loofah 2.2.3
remote:        Using sass-listen 4.0.0
remote:        Using rails-dom-testing 2.0.3
remote:        Using globalid 0.4.2
remote:        Using activemodel 5.1.6
remote:        Using jbuilder 2.7.0
remote:        Using rails-html-sanitizer 1.0.4
remote:        Using sass 3.7.4
remote:        Using activejob 5.1.6
remote:        Using activerecord 5.1.6
remote:        Using actionview 5.1.6
remote:        Using bootstrap-sass 3.3.7
remote:        Installing rails_stdout_logging 0.0.5
remote:        Using actionpack 5.1.6
remote:        Using actioncable 5.1.6
remote:        Using actionmailer 5.1.6
remote:        Using railties 5.1.6
remote:        Using sprockets-rails 3.2.1
remote:        Using coffee-rails 4.2.2
remote:        Using jquery-rails 4.3.1
remote:        Using rails 5.1.6
remote:        Using sass-rails 5.0.6
remote:        Installing rails_serve_static_assets 0.0.5
remote:        Fetching rails_12factor 0.0.3
remote:        Installing rails_12factor 0.0.3
remote:        Bundle complete! 27 Gemfile dependencies, 66 gems now installed.
remote:        Gems in the groups development and test were not installed.
remote:        Bundled gems are installed into ./vendor/bundle.
remote:        Bundle completed (4.78s)
remote:        Cleaning up the bundler cache.
remote:        Warning: the running version of Bundler (1.15.2) is older than the version that created the lockfile (1.17.2). We suggest you upgrade to the latest version of Bundler by running gem install bundler.
remote:        The latest bundler is 2.0.1, but you are currently running 1.15.2.
remote:        To update, run gem install bundler
remote: -----> Installing node-v10.14.1-linux-x64
remote: -----> Detecting rake tasks
remote: -----> Preparing app for Rails asset pipeline
remote:        Running: rake assets:precompile
remote:        rake aborted!
remote:        NameError: undefined local variable or method trues' for #<SampleApp::Application:0x0000563195abc940> remote:        /tmp/build_ceeca0eaaf50043b0cc4606b4feb7f2f/config/environments/production.rb:88:in block in <top (required)>'
remote:        /tmp/build_ceeca0eaaf50043b0cc4606b4feb7f2f/vendor/bundle/ruby/2.5.0/gems/railties-5.1.6/lib/rails/railtie.rb:211:in instance_eval' remote:        /tmp/build_ceeca0eaaf50043b0cc4606b4feb7f2f/vendor/bundle/ruby/2.5.0/gems/railties-5.1.6/lib/rails/railtie.rb:211:in configure'
remote:        /tmp/build_ceeca0eaaf50043b0cc4606b4feb7f2f/config/environments/production.rb:1:in <top (required)>' remote:        /tmp/build_ceeca0eaaf50043b0cc4606b4feb7f2f/vendor/bundle/ruby/2.5.0/gems/activesupport-5.1.6/lib/active_support/dependencies.rb:292:in require'
remote:        /tmp/build_ceeca0eaaf50043b0cc4606b4feb7f2f/vendor/bundle/ruby/2.5.0/gems/activesupport-5.1.6/lib/active_support/dependencies.rb:292:in block in require' remote:        /tmp/build_ceeca0eaaf50043b0cc4606b4feb7f2f/vendor/bundle/ruby/2.5.0/gems/activesupport-5.1.6/lib/active_support/dependencies.rb:258:in load_dependency'
remote:        /tmp/build_ceeca0eaaf50043b0cc4606b4feb7f2f/vendor/bundle/ruby/2.5.0/gems/activesupport-5.1.6/lib/active_support/dependencies.rb:292:in require' remote:        /tmp/build_ceeca0eaaf50043b0cc4606b4feb7f2f/vendor/bundle/ruby/2.5.0/gems/railties-5.1.6/lib/rails/engine.rb:600:in block (2 levels) in <class:Engine>'
remote:        /tmp/build_ceeca0eaaf50043b0cc4606b4feb7f2f/vendor/bundle/ruby/2.5.0/gems/railties-5.1.6/lib/rails/engine.rb:599:in each' remote:        /tmp/build_ceeca0eaaf50043b0cc4606b4feb7f2f/vendor/bundle/ruby/2.5.0/gems/railties-5.1.6/lib/rails/engine.rb:599:in block in <class:Engine>'
remote:        /tmp/build_ceeca0eaaf50043b0cc4606b4feb7f2f/vendor/bundle/ruby/2.5.0/gems/railties-5.1.6/lib/rails/initializable.rb:30:in instance_exec' remote:        /tmp/build_ceeca0eaaf50043b0cc4606b4feb7f2f/vendor/bundle/ruby/2.5.0/gems/railties-5.1.6/lib/rails/initializable.rb:30:in run'
remote:        /tmp/build_ceeca0eaaf50043b0cc4606b4feb7f2f/vendor/bundle/ruby/2.5.0/gems/railties-5.1.6/lib/rails/initializable.rb:59:in block in run_initializers' remote:        /tmp/build_ceeca0eaaf50043b0cc4606b4feb7f2f/vendor/bundle/ruby/2.5.0/gems/railties-5.1.6/lib/rails/initializable.rb:48:in each'
remote:        /tmp/build_ceeca0eaaf50043b0cc4606b4feb7f2f/vendor/bundle/ruby/2.5.0/gems/railties-5.1.6/lib/rails/initializable.rb:48:in tsort_each_child' remote:        /tmp/build_ceeca0eaaf50043b0cc4606b4feb7f2f/vendor/bundle/ruby/2.5.0/gems/railties-5.1.6/lib/rails/initializable.rb:58:in run_initializers'
remote:        /tmp/build_ceeca0eaaf50043b0cc4606b4feb7f2f/vendor/bundle/ruby/2.5.0/gems/railties-5.1.6/lib/rails/application.rb:353:in initialize!' remote:        /tmp/build_ceeca0eaaf50043b0cc4606b4feb7f2f/config/environment.rb:5:in <top (required)>'
remote:        /tmp/build_ceeca0eaaf50043b0cc4606b4feb7f2f/vendor/bundle/ruby/2.5.0/gems/railties-5.1.6/lib/rails/application.rb:329:in require' remote:        /tmp/build_ceeca0eaaf50043b0cc4606b4feb7f2f/vendor/bundle/ruby/2.5.0/gems/railties-5.1.6/lib/rails/application.rb:329:in require_environment!'
remote:        /tmp/build_ceeca0eaaf50043b0cc4606b4feb7f2f/vendor/bundle/ruby/2.5.0/gems/railties-5.1.6/lib/rails/application.rb:445:in block in run_tasks_blocks' remote:        /tmp/build_ceeca0eaaf50043b0cc4606b4feb7f2f/vendor/bundle/ruby/2.5.0/gems/sprockets-rails-3.2.1/lib/sprockets/rails/task.rb:62:in block (2 levels) in define'
remote:        /tmp/build_ceeca0eaaf50043b0cc4606b4feb7f2f/vendor/bundle/ruby/2.5.0/gems/rake-12.3.2/exe/rake:27:in `<top (required)>'
remote:        Tasks: TOP => environment
remote:        (See full trace by running task with --trace)
remote: 
remote:  !
remote:  !     Precompiling assets failed.
remote:  !
remote:  !     Push rejected, failed to compile Ruby app.
remote: 
remote:  !     Push failed
remote: Verifying deploy...
remote: 
remote: !       Push rejected to coede-sample-app.
remote: 
To https://git.heroku.com/coede-sample-app.git
! [remote rejected]   master -> master (pre-receive hook declined)
error: failed to push some refs to 'https://git.heroku.com/coede-sample-app.git'
他に必要な情報があればお申し付けください。
解決法が分かる方 よろしくお願い致します。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

remote:        SyntaxError: /tmp/build_708844fd320a90171a41fe9a1d24f2a5/config/environments/production.rb:86: syntax error, unexpected tIDENTIFIER, expecting '}'

config/environments/production.rbの86行目付近を確認しましょう。

たぶんですが85行目の末尾の,が足りてないとかそんな感じだと思います。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/05/16 17:17

    そういう箇所でエラーになるんですね。
    中括弧の抜けを確認したのですがそれでもしpushができていないです。
    まだ他に回答あればよろしくお願い致します。

    キャンセル

  • 2019/05/16 17:20

    表示されるエラーに変化があるならば更新をお願いします。

    キャンセル

  • 2019/05/16 21:41

    更新させて頂きました。
    よろしくお願い致します。

    キャンセル

  • 2019/05/16 22:00

    config/environments/production.rb
    88行目にtruesとありますが、trueの間違いのように思います。

    キャンセル

  • 2019/05/16 22:25

    push出来ました! 
    error: failed to push some refs to ずっと左辺のキーワードで検索していましたが、原因は他にありましたね。
    エラー文の見方がわかりました!ありがとうございました!

    キャンセル

同じタグがついた質問を見る

  • Ruby

    9446questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Ruby on Rails 5

    3194questions

  • Heroku

    1206questions

    HerokuはHeroku社が開発と運営を行っているPaaSの名称です。RubyやNode.js、Python、そしてJVMベース(Java、Scala、Clojureなど)の複数のプログラミング言語をサポートしている。